#ifndef SDMANGER_H
#define SDMANGER_H
#include "driver/sdmmc_host.h"
#include "driver/sdmmc_defs.h"
#include "sdmmc_cmd.h"
#include "esp_vfs_fat.h"
#include "FS.h"
#include <SD_MMC.h>
#include "Vector.h"
namespace sdcard{
   int init_sdcard();

 void mylistDir( const char * dirname, uint8_t levels);
 bool ListDir(const char * dirname,Vector <String> &stringlist);
 void delete_old_stuff();
 void deleteFolderOrFile(const char * val) ;
 void testwriet();
 void WriteStringToFile(String name,String Str);
 void WriteStringToFile(String name,char *data,size_t lenth);
 bool Mkdir(String path);
 void openFileformWirte(String Path);
 void WritetoFileCommen(String Str);
 void WritetoFileCommen(char *data,size_t lenth);
void closeCommenFile();
void lock();
void unlock();
String ReadFileToString(const char * path);
 bool fileexists(const char * path);
 void formatSDCard();
}
#endif

